/* used as a border of large controls (like grids, diagram) */

/* used as a background below a page in richedit/diagram */

/* used as a border of large controls (like grids, diagram) */

/* used as a background below a page in richedit/diagram */

/* used as a border of large controls (like grids, diagram) */

/* used as a background below a page in richedit/diagram */

.dxgvEditForm_cc .dxflGroupBoxCaption_cc {
    background-color: #f5f5f5;
}

.dxgvPopupEditForm_cc .dxflGroupBoxCaption_cc {
    background-color: white;
}

.dxgvEditForm_cc .dxflPCSys .dxflGroupBoxCaption_cc, .dxgvPopupEditForm_cc .dxflPCSys .dxflGroupBoxCaption_cc {
    background-color: #DDECFE;
}

.dxgvControl_cc, .dxgvDisabled_cc {
    font: 9pt Tahoma;
    background-color: White;
    color: Black;
    cursor: default;
    margin: 0 auto;
}

.dxgvDisabled_cc {
    color: Gray;
}

.dxgvControl_cc a, .dxgvControl_cc a:visited {
	color: #8140c0;
	font-family: Tahoma;
	font-size: 9pt;
}

.dxgvControl_cc a:hover {
    text-decoration: none;
}

.dxgvDisabled_cc a {
    color: Gray;
}

.dxgvEmptyDataRow_cc.dxgvLVR>td.dxgv, .dxgvDataRow_cc.dxgvLVR>td.dxgv, .dxgvGroupRow_cc.dxgvLVR>td.dxgv {
    border-bottom-width: 0;
}

.dxgvRBB .dxgvEmptyDataRow_cc.dxgvLVR>td.dxgv, .dxgvRBB .dxgvDataRow_cc.dxgvLVR>td.dxgv, .dxgvRBB .dxgvGroupRow_cc.dxgvLVR>td.dxgv, .dxgvBECPSD .dxgvDataRow_cc.dxgvLVR>td.dxgv {
    border-bottom-width: 1px !important;
}

.dxgvGroupRow_cc td.dxgv.dxgvPHEC, .dxgvPreviewRow_cc td.dxgv.dxgvPHEC, .dxgvDetailRow_cc td.dxgv.dxgvPHEC, .dxgvGroupFooter_cc td.dxgv.dxgvPHEC, .dxgvDataRow_cc td.dxgvPHEC {
    border-right: 1px Solid #bfd3ee;
}

*[dir="rtl"] .dxgvGroupRow_cc td.dxgv.dxgvPHEC, *[dir="rtl"] .dxgvPreviewRow_cc td.dxgv.dxgvPHEC, *[dir="rtl"] .dxgvDetailRow_cc td.dxgv.dxgvPHEC, *[dir="rtl"] .dxgvGroupFooter_cc td.dxgv.dxgvPHEC, *[dir="rtl"] .dxgvDataRow_cc td.dxgvPHEC {
    border-left: 1px Solid #bfd3ee;
}

.dxgvLoadingPanelStatusBar_cc .dxlp-loadingImage {
    background-image: url('gvLoadingOnStatusBar.gif');
    height: 18px;
    width: 18px;
}

.dxgvLoadingPanel_cc {
    font: 12px Tahoma, Geneva, sans-serif;
    color: #974be2;
    border: 1px solid #dedde3;
    background-color: White;
}

.dxgvLoadingPanel_cc td.dx {
    white-space: nowrap;
    text-align: center;
    padding: 12px;
}

.dxgvLoadingPanel_cc .dxlp-loadingImage {
    background-image: url('../Web/Loading.gif');
    height: 18px;
    width: 18px;
}

.dxgvFilterPopupWindow_cc {
    color: Black;
    border: 1px solid #3a609b;
}

.dxgvFilterPopupItemsArea_cc {
    color: Black;
    background-color: White;
}

.dxgvFilterPopupButtonPanel_cc {
    background-color: #cce2fc;
    border: 1px solid #dcdcdc;
    border-left: 0px solid #dcdcdc;
    color: Black;
}

.dxgvFilterPopupItem_cc td.dxgv, .dxgvFilterPopupActiveItem_cc td.dxgv, .dxgvFilterPopupSelectedItem_cc td.dxgv {
    padding: 3px 2px 4px 3px;
    border-left: 1px solid White;
    border-bottom: 1px solid White;
    border-right: 1px solid White;
    cursor: default;
    white-space: nowrap;
}

.dxgvFilterPopupActiveItem_cc {
    background: #cce2fc none;
    color: Black;
}

.dxgvFilterPopupSelectedItem_cc {
    background: #ffc076 none;
    color: Black;
}

.dxgvTable_cc {
    background-color: transparent;
    border-width: 0;
    border-collapse: separate!important;
    overflow: hidden;
    font: 9pt Tahoma;
    color: Black;
    table-layout: fixed;
}

.dxgvTable_cc .dxgvHEC {
    background-color: White;
    border-width: 0;
    overflow: hidden;
}

.dxgvControl_cc .dxgvFSDC .dxgvFooter_cc td.dxgv {
    border-bottom-width: 0;
}

.dxgvControl_cc .dxgvFGI {
    position: absolute;
    top: 0;
    bottom: 0;
    margin: auto;
}

.dxgvControl_cc .dxgvFGI {
    right: 5px;
    left: auto;
}

*[dir="rtl"].dxgvControl_cc .dxgvFGI {
    right: auto;
    left: 5px;
}

.dxgvInlineEditRow_cc>td.dxgv {
    border-bottom: 1px solid #dedde3;
    border-right: 1px solid #dedde3;
    background: #c1d7f8 none;
}

.dxgvInlineEditRow_cc td.dxgvIndentCell {
    background-color: #A8C5F5;
}

.dxgvDataRowAlt_cc {
    background-color: #f4f4f6;
}

.dxgvFilterRow_cc {
    background: #94b6e8 none;
}

.dxgvEditForm_cc {
    background: WhiteSmoke;
}

.dxgvEditForm_cc>td.dxgv {
    border-left: 1px solid #dedde3 !important;
    border-right: 1px solid #dedde3 !important;
    border-bottom: 1px solid #dedde3 !important;
    padding: 0px 0px 2px;
}

.dxgvEditForm_cc>td.dxgvIndentCell {
    background: #a8c5f5 none;
    border-right: 1px Solid #dedde3;
    border-left: 1px Solid #dedde3;
    border-top-width: 0px;
}

.dxgvSelectedRow_cc {
    background: #ffc076 none;
}

.dxgvFocusedRow_cc {
    background: #fff2c8 url('gvFocusedBack.gif') repeat-x center bottom;
}

.dxgvPreviewRow_cc {
    background-color: white;
}

.dxgvDetailRow_cc td.dxgv, .dxgvPreviewRow_cc td.dxgv, .dxgvEmptyDataRow_cc td.dxgv {
    padding: 2px 2px 4px 4px;
    border-bottom: 1px solid #BFD3EE;
    border-top-width: 0;
    border-left-width: 0;
    border-right-width: 0;
}

.dxgvDetailRow_cc td.dxgvIndentCell {
    border-bottom: 1px solid #BFD3EE;
}

.dxgvDetailRow_cc.dxgvADR .dxgvADT>tbody>tr>td {
    padding: 6px 6px 5px 0;
}

.dxgvDetailRow_cc.dxgvADR .dxgvADT>tbody>tr>td .dxeTextBoxSys, .dxgvDetailRow_cc.dxgvADR .dxgvADT>tbody>tr>td .dxichCellSys {
    margin: -4px 0 -3px 0;
}

.dxgvDetailRow_cc.dxgvADR .dxgvADCC {
    color: #7F7F7F;
}

.dxgvEmptyDataRow_cc {
    color: #848484;
}

.dxgvEmptyDataRow_cc td.dxgv {
    text-align: center;
}

.dxgvEditFormDisplayRow_cc td.dxgv, .dxgvDetailCell_cc td.dxgv, .dxgvDataRow_cc td.dxgv, .dxgvDetailRow_cc.dxgvADR td.dxgvAIC {
    overflow: hidden;
    border-bottom: 1px solid #ddd;
    border-right: 1px solid #ddd;
    border-top-width: 0;
    border-left-width: 0;
    padding: 2px 6px 5px;
}

.dxgvDataRow_cc td.dxgvAIC, .dxgvInlineEditRow_cc td.dxgvAIC {
    padding: 0 4px;
}

.dxgvDetailRow_cc.dxgvADR td.dxgvAIC {
    padding: 6px 4px;
}

.dxgvEditFormDisplayRow_cc td.dxgv {
    background: #efe6f7 none;
}

.dxgvEditFormDisplayRow_cc td.dxgvIndentCell {
    background: #a8c5f5 none;
    border-right: 1px Solid #dedde3;
    border-left: 1px Solid #dedde3;
    border-top-width: 0px;
}

.dxgvSelectedRow_cc td.dxgv {
    border-color: #fe9552;
}

.dxgvEditingErrorRow_cc {
    background-color: #FE9552;
    color: #FFFFFF;
}

.dxgvEditingErrorRow_cc td.dxgv {
    white-space: pre-wrap;
    font-weight: bold;
    border-bottom: 1px solid #dedde3;
    border-right-width: 0;
    border-top-width: 0;
    border-left-width: 0;
    padding: 6px 10px;
}

.dxgvFilterRow_cc td.dxgv {
    border-bottom: 1px solid #dedde3;
    border-right: 1px solid #dedde3;
    border-top-width: 0;
    border-left-width: 0;
    padding: 2px;
    overflow: hidden;
}

.dxgvGroupRow_cc, .dxgvBatchEditChangesPreviewGroupRow_cc {
    background-color: #A8C5F5;
}

.dxgvFocusedGroupRow_cc {
    background: #fff2c8 url('gvFocusedBack.gif') repeat-x center bottom;
}

.dxgvGroupRow_cc td.dxgv, .dxgvFocusedGroupRow_cc td.dxgv, .dxgvBatchEditChangesPreviewGroupRow_cc td.dxgv {
    border: 0 none;
    vertical-align: middle;
    border-top: 1px solid #FFFFFF;
    border-bottom: 1px solid #dedde3;
    padding: 2px 6px 3px;
    background-color: inherit;
}

.dxgvFocusedRow_cc td.dxgvIndentCell, .dxgvFocusedGroupRow_cc td.dxgvIndentCell, .dxgvSelectedRow_cc td.dxgvIndentCell {
    background: #A8C5F5 !important;
    border-right: 1px solid #dedde3;
    border-left: 1px solid #dedde3;
    border-top-width: 0px;
}

.dxgvHeaderPanel_cc {
    background: #94b6e8 url('gvGradient.gif') repeat-x center top;
    color: Black;
    padding: 8px 6px;
    border-bottom: 1px solid #dedde3;
}

.dxIE .dxgvMSDraggable .dxgvHeader_cc, .dxIE .dxgvMSDraggable.dxgvGroupPanel_cc {
    -ms-touch-action: pinch-zoom;
}

.dxEdge .dxgvMSDraggable .dxgvHeader_cc, .dxEdge .dxgvMSDraggable.dxgvGroupPanel_cc {
    touch-action: pinch-zoom;
}

.dxgvHeader_cc {
    cursor: pointer;
    white-space: nowrap;
    padding-left: 5px!important;
    padding-right: 5px!important;
    border: 1px solid #fff;
    background: #eeedf2 !important;
    color: #6b6c7e !important;
    font-family: Verdana;
    line-height: 22px;
    height: 22px;
    overflow: hidden;
    font-weight: bold !important;
    -moz-user-select: none;
    -webkit-user-select: none;
}

.dxgvHeader_cc table, .dxgvHeader_cc a.dxgvCommandColumnItem_cc.dxbDisabled_cc, .dxgvCommandColumn_cc a.dxgvCommandColumnItem_cc.dxbDisabled_cc {
    border-width: 0px 8px;
    border-style: solid;
    border-color: #eeedf2;
}

.dxgvHeader_cc td {
    white-space: nowrap;
}

.dxgvHeader_cc a.dxgvCommandColumnItem_cc {
    margin: 0 3px 0 0;
}

.dxgvHeader_cc .dxbButton_cc[class~="dxgvCommandColumnItem_cc"] {
    margin: 0px 2px -1px 2px;
}

.dxgvHeader_cc a.dxgvCommandColumnItem_cc.dxbDisabled_cc, .dxgvCommandColumn_cc a.dxgvCommandColumnItem_cc.dxbDisabled_cc {
    opacity: 0.5;
}

.dxgvCustomization_cc, .dxgvPopupEditForm_cc {
    padding: 0;
    margin: 0;
}

.dxgvAdaptiveGroupPanel_cc, .dxgvGroupPanel_cc {
    background: #a4c6f8 none;
    border-bottom: 1px solid #dedde3;
}

.dxgvGroupPanel_cc {
    padding: 7px 4px 8px 6px;
    white-space: nowrap;
}

.dxgvAdaptiveGroupPanel_cc {
    padding-left: 6px;
    padding-top: 7px;
}

.dxgvAdaptiveGroupPanel_cc div.dxgvADH {
    margin-right: 4px;
    margin-bottom: 6px;
}

.dxgvAdaptiveGroupPanel_cc.dxgvEAHP {
    padding-bottom: 8px;
}

.dxgvAdaptiveHeaderPanel_cc {
    background: #a4c6f8 none;
    border-bottom: 1px solid #dedde3;
    padding-top: 10px;
}

.dxgvAdaptiveHeaderPanel_cc.dxgvEAHP {
    padding: 10px 7px;
}

.dxgvAdaptiveFooterPanel_cc {
    background-color: #94B6E8;
    padding-top: 6px;
}

.dxgvAdaptiveHeaderPanel_cc, .dxgvAdaptiveFooterPanel_cc {
    padding-left: 10px;
}

.dxgvFooter_cc {
    background-color: #94B6E8;
    white-space: nowrap;
}

.dxgvFooter_cc td.dxgv {
    padding: 3px 6px 5px;
    border-bottom: 1px solid #dedde3;
    border-right: 1px solid #dedde3;
}

.dxgvABRL .dxgvFooter_cc td.dxgv {
    border-right: 1px solid #dedde3;
}

.dxgvGroupFooter_cc {
    background-color: #94B6E8;
}

.dxgvGroupFooter_cc td.dxgv {
    padding: 4px 6px;
    border-bottom: 1px solid #BFD3EE;
    border-right: 1px solid #BFD3EE;
}

.dxgvDataRow_cc td.dxgvIndentCell, .dxgvDetailRow_cc td.dxgvIndentCell, .dxgvPreviewRow_cc td.dxgvIndentCell, .dxgvGroupRow_cc td.dxgvIndentCell, .dxgvGroupFooter_cc td.dxgvIndentCell {
    background-color: #A8C5F5;
    border-right: 1px solid #dedde3;
    border-left: 1px solid #dedde3;
    border-top-width: 0px;
}

.dxgvTitlePanel_cc, .dxgvTable_cc caption {
    color: White;
    font-weight: bold;
    padding: 3px;
    text-align: center;
    border-bottom: 1px solid #dedde3;
    background: #0f439d url('gvTitleBack.gif') repeat-x center top;
}

.dxgvLoadingDiv_cc {
    background-color: Gray;
    opacity: 0.01;
    filter: progid:DXImageTransform.Microsoft.Alpha(Style=0, Opacity=1);
}

.dxgvStatusBar_cc tr.dxgv {
    height: 20px;
}

.dxgvStatusBar_cc tr.dxgv>td {
    padding: 4px;
}

.dxgvStatusBar_cc .dxgvCommandColumn_cc a {
    margin-right: 10px;
}

.dxgvALE .dxgvStatusBar_cc .dxgvCommandColumn_cc, .dxgvAE .dxgvStatusBar_cc .dxgvCommandColumn_cc, .dxgvAdD .dxgvStatusBar_cc .dxgvCommandColumn_cc {
    white-space: normal;
}

.dxgvALE .dxgvStatusBar_cc .dxgvCommandColumn_cc .dxbButton_cc, .dxgvAE .dxgvStatusBar_cc .dxgvCommandColumn_cc .dxbButton_cc, .dxgvAdD .dxgvStatusBar_cc .dxgvCommandColumn_cc .dxbButton_cc {
    margin-top: 2px;
    margin-bottom: 2px;
    display: inline-table;
}

.dxgvStatusBar_cc {
    border-top: 1px solid #dedde3;
}

.dxgvStatusBar_cc tr.dxgv span .dxbButtonSys:first-child {
    margin-left: 2px;
}

.dxgvCommandColumn_cc {
    padding: 2px;
    white-space: nowrap;
}

.dxgvCommandColumn_cc a {
    margin: 0px 3px 0px 0px;
}

.dxbButton_cc[class~="dxgvCommandColumnItem_cc"], .dxgvStatusBar_cc div.dxbButton_cc {
    margin: 1px 2px -2px 2px;
}

.dxbButton_cc[class~="dxgvCommandColumnItem_cc"] .dxb {
    padding-top: 0;
    padding-bottom: 0;
}

.dxgvFilterRow_cc a.dxgvCommandColumnItem_cc {
    display: inline-block;
    margin-top: 1px;
}

.dxgvEditFormTable_cc {
    padding: 2px 6px 6px 4px;
    color: Black;
}

.dxgvEditFormTable_cc div.dxbButton_cc {
    margin: 0px 2px;
}

.dxgvEditFormCaption_cc {
    padding: 5px 4px 4px 10px;
    white-space: nowrap;
}

.dxgvInlineEditCell_cc {
    padding: 1px;
}

.dxgvEditFormCell_cc {
    padding: 4px;
    border-width: 0;
}

.dxgvControl_cc .dxctToolbar_cc.dxm-main.dxgvCTTop {
    border-bottom: 1px solid #dedde3;
}

.dxgvControl_cc .dxctToolbar_cc.dxm-main.dxgvCTBottom {
    border-top: 1px solid #dedde3;
}

.dxgvFilterBar_cc {
    border-top: 1px solid #dedde3;
    background-color: #A8C5F5;
}

.dxgvFilterBar_cc a {
    color: black;
    text-decoration: underline;
}

.dxgvFilterBarCheckBoxCell_cc {
    padding: 0 7px 0 3px;
}

.dxgvFilterBarImageCell_cc {
    padding: 0 1px 0 3px;
    cursor: pointer;
}

.dxgvFilterBarExpressionCell_cc {
    padding: 5px 5px 8px 0;
    white-space: nowrap;
}

.dxgvFilterBarClearButtonCell_cc {
    padding: 5px 6px 8px;
}

.dxgvFilterBuilderMainArea_cc {
    background: white none;
    padding: 6px 2px;
}

.dxgvFilterBuilderButtonArea_cc {
    background-color: #CFE1F9;
    border-top: 1px solid #7BA4E0;
    padding: 6px;
    white-space: nowrap;
}

.dxgvDataRowHover_cc {
    background: #cce2fc none;
    color: Black;
}

.dxgvControl_cc .dxgvHFC {
    padding-left: 3px;
    padding-bottom: 3px;
}

.dxgvControl_cc .dxgvHFC .dxeCalendar_cc {
    margin-left: 23px;
}

.dxgvControl_cc div[id$='DXEPLPC'] {
    height: 43px;
}

.dxgvControl_cc .dxgvHFSD {
    height: 1px;
    margin: 2px 0;
}

.dxgvControl_cc .dxgvHFDRC {
    margin: 15px 15px 25px;
}

.dxgvControl_cc .dxgvHFDRP {
    margin-left: 15px;
    margin-right: 15px;
    padding: 9px 0 6px;
}

.dxgvControl_cc .dxgvHFDRP[id*="HFFDE"] {
    margin-top: 15px;
    margin-bottom: 5px;
}

.dxgvControl_cc .dxgvHFDRP[id*="HFTDE"] {
    margin-bottom: 25px;
}

/* Removes flicking in iOS Safari*/

.dxgvTable_cc {
    -webkit-tap-highlight-color: transparent;
}

.dxgvControl_cc td.dxgvBatchEditCell_cc:not(.dxBatchEditCheckBoxCell) {
    padding: 0 2px;
}

.dxgvControl_cc td.dxgvBatchEditModifiedCell_cc {
    background: #d7f9c7;
}

.dxgvBatchEditDeletedItem_cc, .dxgvBatchEditNewItem_cc.dxgvBatchEditDeletedItem_cc {
    background: #EFEFEF;
}

.dxgvBatchEditDeletedItem_cc>td:not(.dxgvCommandColumn_cc) {
    color: rgba(0, 0, 0, 0.5);
}

.dxgvBatchEditDeletedItem_cc td.dxgvBatchEditModifiedCell_cc {
    background: #eefbe7;
}

.dxgvBatchEditNewItem_cc {
    background: #F0FAEA;
}

.dxgvControl_cc .dxgvErrorCell {
    padding-left: 5px;
    width: 1px;
}

.dxgvControl_cc .dxgvErrorCell img {
    margin: -3px 0;
}

.dxgvSearchPanel_cc {
    background: #a4c6f8;
    padding: 7px 4px 7px 6px;
    border-bottom: 1px solid #dedde3;
}

.dxgvSearchPanel_cc>table {
    width: 70%;
    max-width: 450px;
}

.dxgvControl_cc .dxgvSearchPanel_cc .dxbButton_cc {
    margin-left: 7px;
    margin-right: 0;
}

*[dir="rtl"].dxgvControl_cc .dxgvSearchPanel_cc .dxbButton_cc {
    margin-left: 0;
    margin-right: 7px;
}

.dxgvControl_cc .dxgvHL {
    background: #ffd83a;
    color: #333333;
    font-weight: bold;
    font-style: normal;
}

/* TODO remove (replace to command button style) */

.dxgvControl_cc .dxgvSearchPanel_cc .dxbButton_cc {
    font-size: 0.9em;
    margin-top: -2px;
    margin-bottom: -2px;
}

.dxgvControl_cc .dxgvSearchPanel_cc .dxbButton_cc .dxb {
    padding-top: 0;
    padding-bottom: 0;
}

.dxgvFocusedCell_cc {
    box-shadow: inset 2px 2px 0 #2292B1, inset -2px -2px 0 #2292B1;
    -webkit-box-shadow: inset 2px 2px 0 #2292B1, inset -2px -2px 0 #2292B1;
    -moz-box-shadow: inset 2px 2px 0 #2292B1, inset -2px -2px 0 #2292B1;
}

/* Customization Dialog */

.dxgvCustDialog_cc {
    font-size: 15px;
    font-weight: 400;
    background-color: White;
}

.dxpcLite_cc .dxgvCustDialog_cc.dxpc-mainDiv {
    border: none;
}

.dxpcLite_cc .dxgvCustDialog_cc .dxpc-content {
    padding: 0;
}

.dxgvCustDialogHeader_cc {
    padding-top: 11px;
    margin-bottom: 8px;
    border-bottom: 1px solid #002D96;
}

.dxgvCustDialogHeader_cc>div {
    display: table-cell;
}

.dxgvCustDialogHeader_cc>div:first-child, .dxgvCustDialogHeader_cc>div:last-child {
    vertical-align: top;
}

.dxgvCustDialogHeader_cc>div:first-child {
    padding-left: 11px;
}

.dxgvCustDialogHeader_cc>div:last-child {
    padding-right: 11px;
}

.dxgvCustDialogHeader_cc a.dxbButton_cc {
    padding: 10px 10px 6px 10px;
}

.dxgvCustDialogHeader_cc .dxgvCD_TSC {
    vertical-align: bottom;
    padding: 0;
    width: 100%;
}

.dxgvCustDialogHeader_cc .dxgvCD_TS {
    overflow: hidden;
    position: relative;
    padding: 0;
    text-align: center;
    margin-bottom: -1px;
}

.dxgvCustDialogHeader_cc .dxgvCD_TS .dxgvCD_TSBW {
    overflow: hidden;
    padding: 0 16px;
}

.dxgvCustDialogHeader_cc .dxgvCD_TS .dxtcLite_cc.dxtc-top>.dxtc-stripContainer .dxtc-tab, .dxgvCustDialogHeader_cc .dxgvCD_TS .dxtcLite_cc.dxtc-top>.dxtc-stripContainer .dxtc-activeTab {
    font-size: 14px;
}

.dxgvCustDialogHeader_cc .dxgvCD_TS .dxtcLite_cc.dxtc-top>.dxtc-stripContainer .dxtc-tab {
    padding-top: 2px;
    padding-bottom: 1px;
}

.dxgvCustDialogHeader_cc .dxgvCD_TS .dxtcLite_cc.dxtc-top>.dxtc-stripContainer .dxtc-activeTab {
    padding-top: 2px;
    padding-bottom: 2px;
}

.dxgvCustDialogHeader_cc .dxgvCD_TS .dxtcLite_cc.dxtc-top>.dxtc-stripContainer .dxtc-last {
    margin-right: 16px;
}

.dxgvCustDialogHeader_cc .dxgvCD_TS .dxtcLite_cc.dxtc-top[dir="rtl"]>.dxtc-stripContainer .dxtc-last {
    margin-left: 16px;
    margin-right: 0;
}

.dxgvCustDialogHeader_cc .dxgvCD_TS .dxtcLite_cc.dxtc-top>.dxtc-stripContainer .dxtc-leftIndent, .dxgvCustDialogHeader_cc .dxgvCD_TS .dxtcLite_cc.dxtc-top>.dxtc-stripContainer .dxtc-rightIndent {
    display: none;
}

.dxgvCustDialogHeader_cc .dxgvCD_TS .dxgvCD_TSLS, .dxgvCustDialogHeader_cc .dxgvCD_TS .dxgvCD_TSRS {
    position: absolute;
    top: -1px;
    width: 16px;
    height: 100%;
}

.dxgvCustDialogHeader_cc .dxgvCD_TS .dxgvCD_TSLS {
    left: 0;
    background: linear-gradient(to right, white, rgba(255, 255, 255, 0));
}

.dxgvCustDialogHeader_cc .dxgvCD_TS .dxgvCD_TSRS {
    right: 0;
    background: linear-gradient(to left, white, rgba(255, 255, 255, 0));
}

.dxgvCustDialogDragArea_cc {
    padding-bottom: 16px !important;
}

.dxgvCustDialogDragArea_cc, .dxgvCustDialogFilteringPage_cc {
    padding: 0;
}

.dxgvCustDialogSortingPage_cc .dxgvCustDialogDragArea_cc, .dxgvCustDialogGroupingPage_cc .dxgvCustDialogDragArea_cc {
    padding: 0 0 16px 0;
    min-height: 49px;
}

.dxgvCustDialogDragArea_cc .dxgvCD_DAETC {
    color: #999999;
    font-size: 13px;
    text-align: center;
    white-space: nowrap;
    padding-top: 24px;
}

.dxgvCustDialogListArea_cc .dxgvCD_LAC {
    color: #666666;
    font-weight: bold;
    padding: 14px 0 8px 15px;
    border-bottom: 1px solid #DCDCDC;
}

.dxgvControl_cc[dir="rtl"] .dxgvCustDialogListArea_cc .dxgvCD_LAC {
    padding-left: 0;
    padding-right: 15px;
}

.dxgvCustDialogListArea_cc .dxgvCD_LAIW {
    padding-left: 4px;
}

.dxgvCustDialogColumnItem_cc {
    background-color: #FFFFFF;
    color: rgba(0, 0, 0, 0.64);
    min-height: 48px;
    transition: all 0.2s;
}

.dxgvCustDialogColumnItem_cc>div {
    display: table-cell;
    padding: 10px;
    vertical-align: middle;
}

.dxgvCustDialogColumnItem_cc>div:first-child {
    padding-left: 18px;
}

.dxgvCustDialogColumnItem_cc>div:last-child {
    padding-right: 21px;
}

.dxgvCustDialogListArea_cc .dxgvCustDialogColumnItem_cc>div:first-child {
    padding-left: 10px;
}

.dxgvCustDialogColumnItem_cc div img {
    vertical-align: middle;
}

.dxgvCustDialogDragArea_cc .dxgvCustDialogColumnItem_cc {
    border-bottom: 1px solid #DCDCDC;
}

.dxgvCustDialogDragArea_cc .dxgvCustDialogColumnItem_cc>div:first-child {
    height: 48px;
    padding: 0;
    padding-left: 8px;
    text-align: center;
    min-width: 28px;
}

.dxgvCustDialogDragArea_cc .dxgvCustDialogColumnItem_cc div:last-child, .dxgvCustDialogListArea_cc .dxgvCustDialogColumnItem_cc div:last-child {
    height: 48px;
    padding-top: 0;
    padding-bottom: 0;
}

.dxgvCustDialogDragArea_cc .dxgvCustDialogColumnItem_cc.DXCDDraggingItem {
    transition: none;
    position: relative;
    box-shadow: 0 10px 0.25rem rgba(0, 0, 0, 0.12), 0 0.25rem 0.5rem rgba(0, 0, 0, 0.24);
    z-index: 1;
}

.dxgvCustDialogSortingPage_cc .dxgvCD_DAW, .dxgvCustDialogGroupingPage_cc .dxgvCD_DAW {
    position: relative;
}

.dxgvCustDialogSortingPage_cc .dxgvCD_DAEB, .dxgvCustDialogGroupingPage_cc .dxgvCD_DAEB {
    position: absolute;
    bottom: 0;
    width: 100%;
    height: 38px;
    background: #EFEFEF;
    box-shadow: 0px -3px 5px 0px rgba(0, 0, 0, 0.11);
    cursor: pointer;
    text-align: center;
}

.dxgvCustDialogSortingPage_cc .dxgvCD_DAEB img, .dxgvCustDialogGroupingPage_cc .dxgvCD_DAEB img {
    margin-top: 14px;
}

.dxgvCustDialogFilteringPage_cc {
    background: #EFEFEF;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogColumnItem_cc, .dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc {
    transition: none;
    border-bottom: 1px solid #DCDCDC;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogColumnItem_cc.dxgvCD_EFCI, .dxgvCustDialogFilteringPage_cc .dxgvCustDialogColumnItem_cc.dxgvCD_EFCI+.dxgvCustDialogFilterItem_cc+.dxgvCustDialogColumnItem_cc {
    border-top: 1px solid #DCDCDC;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogColumnItem_cc:first-child {
    border-top: none;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogColumnItem_cc>div {
    height: 28px;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogColumnItem_cc>div:first-child {
    padding-left: 10px;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc a {
    cursor: pointer;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc a, .dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc .dxgvCD_FR>span.dxeBase_cc {
    font-size: medium;
    line-height: 50px;
}

.dxgvCustDialogFilterItem_cc {
    margin-bottom: 17px;
    background: white;
}

.dxgvCustDialogFilterItem_cc+.dxgvCustDialogColumnItem_cc.dxgvCD_EFCI {
    margin-top: 17px;
}

.dxgvCustDialogColumnItem_cc+.dxgvCustDialogFilterItem_cc {
    display: none;
}

.dxgvCustDialogColumnItem_cc.dxgvCD_EFCI+.dxgvCustDialogFilterItem_cc {
    display: block;
}

.dxgvCustDialogFilterItem_cc .dxgvCD_FR {
    padding: 0 10px 18px 10px;
}

.dxgvCustDialogFilteringPage_cc .dxgvCD_UF {
    text-align: center;
    vertical-align: middle;
}

.dxgvCustDialogFilteringPage_cc .dxgvCD_UF a {
    text-transform: uppercase;
}

.dxgvCustDialogFilteringPage_cc .dxgvCD_FR+.dxgvCD_UF {
    border-top: 1px solid #DCDCDC;
}

.dxgvCustDialogFilterItem_cc .dxgvCD_UF.dxgvCD_UFLBV {
    border-bottom: 1px solid #DCDCDC;
}

.dxgvCustDialogFilteringPage_cc .dxgvCD_UF.dxgvCD_UFLBV a, .dxgvCustDialogFilteringPage_cc .dxgvCD_UFSC {
    display: none;
}

.dxgvCustDialogFilteringPage_cc .dxgvCD_UF.dxgvCD_UFLBV .dxgvCD_UFSC {
    display: block;
}

.dxgvCustDialogFilterItem_cc .dxgvCD_UF.dxgvCD_UFLBV {
    margin-bottom: 19px;
}

.dxgvCustDialogFilterItem_cc .dxgvCD_UFSC {
    overflow-x: hidden;
    overflow-y: auto;
    width: 100%;
    height: 200px;
}

/* CustDialog filter editors */

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc .dxeEditAreaSys {
    font-size: 15px !important;
    font-weight: 400;
    margin-top: 2px !important;
    margin-bottom: 1px !important;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc td.dxic {
    padding: 4px 2px 4px 7px !important;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc .dxeButtonEditButton_cc {
    padding-left: 6px;
    padding-right: 6px;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc .dxeSpinIncButton_cc, .dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc .dxeSpinDecButton_cc {
    padding: 4px 8px;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc .dxichTextCellSys, .dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc .dxeListBoxItem_cc {
    font-size: 14px;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc .dxichTextCellSys {
    padding-top: 4px;
    padding-bottom: 3px;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc .dxeListBoxItem_cc {
    font-size: 14px;
    padding-top: 8px;
    padding-bottom: 8px;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc td.dxeC {
    padding-right: 6px !important;
}

.dxgvCustDialogFilteringPage_cc .dxgvCustDialogFilterItem_cc .dxichCellSys {
    padding-right: 7px;
}

/* CustDialog popup menu */

.dxgvControl_cc .dxmLite_cc .dxgvCD_FRM {
    font-size: 14px;
}

.dxgvControl_cc .dxmLite_cc .dxgvCD_FRM .dxm-popup .dxm-content {
    font-size: 14px;
    padding-top: 7px;
    padding-bottom: 6px;
}
